From 7ca523953eaa2b2dc19f2def4dbd86e5575384fb Mon Sep 17 00:00:00 2001
From: "Kirill A. Korinsky" <kirill@korins.ky>
Date: Tue, 13 Jun 2023 11:56:32 +0200
Subject: [PATCH] patch for permlib-0.2.9 compatibility

It also follow https://github.com/tremlin/PermLib/pull/8
---
 CMakeLists.txt        | 6 +++++-
 sympol/CMakeLists.txt | 4 ++--
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git CMakeLists.txt CMakeLists.txt
index 0c1bc57..1204604 100644
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -1,8 +1,12 @@
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required (VERSION 3.10)
 project (SymPol)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/external/cmake/Modules")
 
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
+
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 FIND_PACKAGE(GMP REQUIRED)
diff --git sympol/CMakeLists.txt sympol/CMakeLists.txt
index a19bb16..70fdf05 100644
--- sympol/CMakeLists.txt
+++ sympol/CMakeLists.txt
@@ -37,10 +37,10 @@ CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DI
 SET (Boost_FIND_REQUIRED TRUE)
 SET (Boost_FIND_QUIETLY TRUE)
 SET (Boost_USE_MULTITHREADED TRUE)
-find_package(Boost 1.34.1 COMPONENTS program_options REQUIRED)
+find_package(Boost 1.67 COMPONENTS program_options REQUIRED)
 include_directories(${Boost_INCLUDE_DIRS})
 
-include_directories(../external/boost ../external/permlib ${CMAKE_CURRENT_BINARY_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 add_definitions(-Woverloaded-virtual)
 # lrs flags
 add_definitions(-DGMP -DMA -DLRS_QUIET)
-- 
2.41.0

